OGRE: Ogre::cbitsetN< _N, _internalDataType, _bits, _mask > Class Template Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::cbitsetN< _N, _internalDataType, _bits, _mask > Class Template Reference
Core

`#include <OgreBitset.h>`

## Public Member Functions
| cbitsetN ()
size_t | capacity () const
| Return maximum number of bits this bitset can hold. More...
void | clear ()
| Sets all bits to 0. More...
uint32 | numBitsSet (size_t positionEnd) const
| Returns the number of bits that are set between range [0; positionEnd). More...
void | set (size_t position)
| Sets bit at 'position' to 1. More...
void | setAll ()
| Sets all bits to 1. More...
void | setValue (size_t position, bool bValue)
| Sets bit at 'position'. More...
bool | test (size_t position) const
| Returns true if bit at 'position' is 1. More...
void | unset (size_t position)
| Sets bit at 'position' to 0. More...

## Constructor & Destructor Documentation

## ◆ cbitsetN()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::cbitsetN | ( |  | ) |
| inline

## Member Function Documentation

## ◆ capacity()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

size_t Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::capacity | ( |  | ) | const
| inline

Return maximum number of bits this bitset can hold.

## ◆ clear()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

void Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::clear | ( |  | ) |
| inline

Sets all bits to 0.

Referenced by Ogre::cbitsetN< _N, uint32, 5u, 0x1Fu >::cbitsetN().

## ◆ numBitsSet()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

uint32 Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::numBitsSet | ( | size_t | positionEnd | ) | const
| inline

Returns the number of bits that are set between range [0; positionEnd).

## ◆ set()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

void Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::set | ( | size_t | position | ) |
| inline

Sets bit at 'position' to 1.

Parameters

  position | Value in range [0; _N)

## ◆ setAll()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

void Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::setAll | ( |  | ) |
| inline

Sets all bits to 1.

## ◆ setValue()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

void Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::setValue | ( | size_t | position,
|  | bool | bValue
| ) |  |
| inline

Sets bit at 'position'.

Parameters

  position | Value in range [0; _N)
  bValue |

## ◆ test()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

bool Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::test | ( | size_t | position | ) | const
| inline

Returns true if bit at 'position' is 1.

Parameters

  position | Value in range [0; _N)

Referenced by Ogre::cbitsetN< _N, uint32, 5u, 0x1Fu >::numBitsSet().

## ◆ unset()

template<size_t _N, typename _internalDataType , size_t _bits, size_t _mask>

void Ogre::cbitsetN< _N, _internalDataType, _bits, _mask >::unset | ( | size_t | position | ) |
| inline

Sets bit at 'position' to 0.

Parameters

  position | Value in range [0; _N)

The documentation for this class was generated from the following file:

- OgreBitset.h